Ruby on Rails 2.0にバージョンアップする手順

Ruby on Rails 2.0にバージョンアップする手順。

railsをインストールします。

gem install rails

config/environment.rbを開きます。

RAILS_GEM_VERSIONに新しいRailsのバージョンを指定します。

RAILS_GEM_VERSION = '2.0.2'

設定ファイルを更新してみます。

$ rake rails:update:configs
...
Rails requires RubyGems >= 0.9.4 (you have 0.9.2). Please `gem update --system` and try again.

RubyGemsのバージョンが古いようなので、更新します。

gem update --system

再び挑戦。設定ファイルを更新します。

$ rake rails:update:configs

問題ないようなので、まとめて更新します。

$ rake rails:update

config/environment.rb の config.action_controller.session に設定を行います。

手間を省くため、

rails test

で新しいプロジェクトを作成します。

作成したプロジェクトのconfig/environment.rb から config.action_controller.session の設定をコピーします。

config.action_controller.session = {
  (省略)
}

以上で、一応、動作するはず。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください